LibIdealsConsumer Class Reference

Records library interface output into a vector of BigIdeals. More...

`#include <LibTest.h>`

Inheritance diagram for LibIdealsConsumer:

## Public Member Functions

| LibIdealsConsumer (const VarNames &names)
virtual void | idealBegin (size_t varCount)
| Called before output of a monomial ideal.
virtual void | consume (mpz_ptr *exponentVector)
| For output of a generator of the ideal.
const vector< BigIdeal > & | getIdeals () const
| Returns the recorded ideals in a canonical form.
Public Member Functions inherited from Frobby::IdealConsumer
virtual | ~IdealConsumer ()
| The provided implementation does nothing.
virtual void | idealEnd ()
| Called after output of a monomial ideal.

## Private Attributes

vector< BigIdeal > | _ideals
VarNames | _names

## Detailed Description

Records library interface output into a vector of BigIdeals.

Definition at line 58 of file LibTest.h.

## Constructor & Destructor Documentation

## LibIdealsConsumer()

LibIdealsConsumer::LibIdealsConsumer | ( | const VarNames & | names | ) |

Definition at line 76 of file LibTest.cpp.

## Member Function Documentation

## consume()

void LibIdealsConsumer::consume | ( | mpz_ptr * | exponentVector | ) |

virtual

For output of a generator of the ideal.

exponentVector is an array containing the exponents of the generator.

The parameter exponentVector and its entries must not be altered or deallocated, and no reference to them can be retained after the consume method has returned. If the output must be stored, then a copy must be made.

Implements Frobby::IdealConsumer.

Definition at line 85 of file LibTest.cpp.

## getIdeals()

const vector< BigIdeal > & LibIdealsConsumer::getIdeals | ( |  | ) | const

Returns the recorded ideals in a canonical form.

Definition at line 91 of file LibTest.cpp.

## idealBegin()

void LibIdealsConsumer::idealBegin | ( | size_t | varCount | ) |

virtual

Called before output of a monomial ideal.

varCount is the number of variables of the ring within which the output ideal lies. The provided implementation does nothing.

Reimplemented from Frobby::IdealConsumer.

Definition at line 80 of file LibTest.cpp.

## Member Data Documentation

## _ideals

vector<BigIdeal> LibIdealsConsumer::_ideals

mutable private

Definition at line 69 of file LibTest.h.

## _names

VarNames LibIdealsConsumer::_names

private

Definition at line 70 of file LibTest.h.

The documentation for this class was generated from the following files:

- src/LibTest.h
- src/LibTest.cpp